"""
Ethical Bias Detection Package
==============================

This package provides a Flask-based web application to detect biases in machine learning models and datasets.

Modules:
--------
- app.py: Main Flask application.
- Orchestrator.py: Handles model execution and bias analysis.
- AlgorithmicBiasAnalyzer.py: Performs algorithmic bias detection.
- DataBiasAnalyzer.py: Analyzes data biases.
- EthicalEvaluator.py: Evaluates fairness in AI systems.
- LLMCaller.py: Calls large language models for analysis.
- PDFProcessor.py: Handles PDF processing for reports.
- ReportGenerator.py: Generates reports based on bias evaluations.
"""

from .app import main
