from setuptools import setup, find_packages

setup(
    name='ethical_bias_detection',
    version='1.0.0',
    packages=find_packages(),
    include_package_data=True,  # Ensures non-Python files (templates, static) are included
    install_requires=[
        'Flask>=2.0',
        'Flask-SocketIO',
        'pandas',
        'reportlab',
        'pdf2image',
        'matplotlib',
        'seaborn',
        'requests',
        'configparser',
        'werkzeug',
        'scikit-learn',  # Required for loading ML models
        'joblib',
    ],
    entry_points={
        'console_scripts': [
            'ethical_bias_detection = ethical_bias_detection.app:main',  # Entry point to run the app
        ],
    },
    author='Rayyan & Ehtisham',
    author_email='rayyanshabbir12@gmail.com',
    description='A Flask-based application for detecting algorithmic and data biases.',
    url='https://github.com/yourusername/ethical_bias_detection',  # Replace with actual repo
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
)
